<?php

use CodeIgniter\Router\RouteCollection;

/** @var RouteCollection $routes */

$routes->group('presupuestoadmin', ['namespace' => 'App\Controllers\Presupuestos'], function ($routes) {
    $routes->get('list/(:num)', 'Presupuestoadmin::list/$1', ['as' => 'presupuestoAdminList']);  // HOMOGENIZAR CON ARGS DINAMICOS!!!
    $routes->get('add/(:num)', 'Presupuestoadmin::add/$1', ['as' => 'newPresupuestoAdmin']);
    $routes->get('edit/(:any)', 'Presupuestoadmin::edit/$1', ['as' => 'editarPresupuestoAdmin']);
    $routes->post('add/(:num)', 'Presupuestoadmin::add/$1', ['as' => 'createPresupuestoAdmin']);
    $routes->post('create', 'Presupuestoadmin::create', ['as' => 'ajaxCreatePresupuestoAdmin']);
    $routes->put('(:num)/update', 'Presupuestoadmin::update/$1', ['as' => 'ajaxUpdatePresupuestoAdmin']);
    $routes->post('edit/(:num)', 'Presupuestoadmin::edit/$1', ['as' => 'updatePresupuestoAdmin']);
    $routes->post('datatable', 'Presupuestoadmin::datatable', ['as' => 'dataTableOfPresupuestoAdmin']);
    $routes->post('datatable_2', 'Presupuestoadmin::datatable_2', ['as' => 'updateDataOfPresupuestoAdmin']);
    $routes->post('allmenuitems', 'Presupuestoadmin::allItemsSelect', ['as' => 'select2ItemsOfPresupuestoAdmin']);
    $routes->post('menuitems', 'Presupuestoadmin::menuItems', ['as' => 'menuItemsOfPresupuestoAdmin']);

    $routes->get('cargar/(:any)', 'Presupuestoadmin::cargar/$1');
    $routes->post('comparadorinterior', 'Presupuestoadmin::obtenerComparadorInterior');
    $routes->post('comparadorexteriores', 'Presupuestoadmin::obtenerComparadorExteriores');
    $routes->post('comparadorguardas', 'Presupuestoadmin::obtenerComparadorGuardas');
    $routes->get('papelgenerico', 'Presupuestoadmin::getPapelGenerico');
    $routes->get('papelgramaje', 'Presupuestoadmin::getGramaje');
    $routes->get('papelimpresion', 'Presupuestoadmin::getPapelImpresion');
    $routes->get('maquinas', 'Presupuestoadmin::getMaquinas');
    $routes->post('getlinea', 'Presupuestoadmin::getLineaPresupuesto');
    $routes->post('clone', 'Presupuestoadmin::datatable_2');

    $routes->get('presupuestosCliente', 'Presupuestoadmin::tablaClienteForm');
    $routes->get('getSumCliente/(:num)', 'Presupuestoadmin::obtenerTotalPresupuestosCliente/$1');
});

//$routes->resource('presupuestoadmin', ['namespace' => 'App\Controllers\Presupuestos', 'controller' => 'Presupuestoadmin', 'except' => 'show,new,create,update']);

$routes->group('presupuestocliente', ['namespace' => 'App\Controllers\Presupuestos'], function ($routes) {
    $routes->get('list', 'Presupuestocliente::list', ['as' => 'listaPresupuestos']);
    $routes->post('datatable', 'Presupuestocliente::datatable', ['as' => 'datatableOfPresupuestos']);
    $routes->get('add', 'Presupuestocliente::add', ['as' => 'nuevoPresupuestoCliente']);
    $routes->post('add', 'Presupuestocliente::add', ['as' => 'crearPresupuestoCliente']);
    $routes->post('edit/(:num)', 'Presupuestocliente::edit/$1', ['as' => 'editarPresupuestoCliente']);
    $routes->get('edit/(:any)', 'Presupuestocliente::edit/$1', ['as' => 'editarPresupuestoCliente2']);
    $routes->post('getgramaje', 'Presupuestocliente::getGramaje', ['as' => 'obtenerGramaje']);
    $routes->post('presupuesto', 'Presupuestocliente::presupuesto', ['as' => 'presupuestoCliente']);
    $routes->post('getDireccionesCliente', 'Presupuestocliente::getDireccionesCliente', ['as' => 'getDirecciones']);
    $routes->post('getNuevaDireccion', 'Presupuestocliente::getNuevaDireccion', ['as' => 'nuevaDireccion']);
    $routes->post('guardar', 'Presupuestocliente::guardar', ['as' => 'guardar']);
    $routes->get('cargar/(:num)', 'Presupuestocliente::cargar/$1', ['as' => 'cargarPresupuesto']);
    $routes->post('duplicarPresupuesto', 'Presupuestocliente::duplicarPresupuesto', ['as' => 'duplicarPresupuesto']);
    $routes->post('calcular', 'Presupuestocliente::calcular', ['as' => 'calcularPresupuesto']);
    $routes->post('calcularsolapas', 'Presupuestocliente::calcularMaxSolapas', ['as' => 'calcularSolapas']);
    $routes->post('checklomo', 'Presupuestocliente::check_lomo_interior');
});
//$routes->resource('presupuestocliente', ['namespace' => 'App\Controllers\Presupuestos', 'controller' => 'Presupuestocliente', 'except' => 'show,new,create,update']);

$routes->group('importador', ['namespace' => 'App\Controllers\Presupuestos'], function ($routes) {
    $routes->get('', 'Importadorpresupuestos::index', ['as' => 'importadorPresupuestos']);
    $routes->get('clientlist', 'Importadorpresupuestos::getClientList', ['as' => 'clientList']);
    $routes->get('presupuestoslist', 'Importadorpresupuestos::getPresupuestosList', ['as' => 'presupuestosList']);
    $routes->get('getencuadernacion', 'Importadorpresupuestos::getEncuadernacionList');
    $routes->get('getpresupuestodata', 'Importadorpresupuestos::getPresupuesto', ['as' => 'getPresupuesto']);
    $routes->post('importar', 'Importadorpresupuestos::importarPresupuesto');
});